package im

import (
	"applet/app/e"
	md "applet/app/md/im"
	svc "applet/app/svc/im"
	"github.com/gin-gonic/gin"
)

// BatchSendGroupMessage
// @Summary      Im-发送群组消息
// @Tags         发送群组消息
// @Description  发送群组消息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @param req body  md.GroupListReq true "相关参数"
// @Success      200   {object}  	md.GroupListResp ""
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/im/batchSendGroupMessage [POST]
func BatchSendGroupMessage(c *gin.Context) {
	var req *md.GroupListReq
	if err1 := c.ShouldBindJSON(&req); err1 != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err1.Error())
		return
	}
	err, resp := svc.GroupList(*req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}
	e.OutSuc(c, resp, nil)
}

// BatchSendUserMessage
// @Summary      Im-发送用户消息
// @Tags         发送用户消息
// @Description  发送用户消息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @param req body  md.GroupListReq true "相关参数"
// @Success      200   {object}  	md.GroupListResp ""
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/im/batchSendUserMessage [POST]
func BatchSendUserMessage(c *gin.Context) {
	var req *md.GroupListReq
	if err1 := c.ShouldBindJSON(&req); err1 != nil {
		e.OutErr(c, e.ERR_INVALID_ARGS, err1.Error())
		return
	}
	err, resp := svc.GroupList(*req)
	if err != nil {
		e.OutErr(c, e.ERR, err.Error())
		return
	}
	e.OutSuc(c, resp, nil)
}
