package notice

import (
	"applet/app/svc/notice"
	"github.com/gin-gonic/gin"
)

// AliyunSmsFilePhone
// @Summary      消息中心-短信推送记录-通知模板
// @Tags         消息中心
// @Description  短信推送记录-通知模板
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param file formData string true "参数 file-----文件上传格式"
// @Success      200   {string}  			"phone 一个数组"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/file/phone [post]
func AliyunSmsFilePhone(c *gin.Context) {
	notice.AliyunSmsFilePhone(c)
}

// AliyunSmsBase
// @Summary      消息中心-短信推送记录-通知模板
// @Tags         消息中心
// @Description  短信推送记录-通知模板
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}  md.NoticeAliyunSmsListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/base [get]
func AliyunSmsBase(c *gin.Context) {
	notice.AliyunSmsBase(c)
}

// AliyunSmsSave
// @Summary      消息中心-短信推送记录-通知模板添加编辑
// @Tags         消息中心
// @Description  短信推送记录-通知模板添加编辑
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body    string         true   "数组  把列表的数组传过来"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/save [post]
func AliyunSmsSave(c *gin.Context) {
	notice.AliyunSmsSave(c)
}

// AliyunSmsSaleBase
// @Summary      消息中心-短信推送记录-营销短信-通知模板
// @Tags         消息中心
// @Description  短信推送记录-营销短信-通知模板
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}  md.NoticeAliyunSmsListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/sale/base [get]
func AliyunSmsSaleBase(c *gin.Context) {
	notice.AliyunSmsSaleBase(c)
}

// AliyunSmsSaleSave
// @Summary      消息中心-短信推送记录-营销短信-通知模板添加编辑
// @Tags         消息中心
// @Description  短信推送记录-营销短信-通知模板添加编辑
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body    string         true   "数组  把列表的数组传过来"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/sale/save [post]
func AliyunSmsSaleSave(c *gin.Context) {
	notice.AliyunSmsSaleSave(c)
}

// AliyunSmsPushList
// @Summary      消息中心-短信推送记录-推送记录列表
// @Tags         消息中心
// @Description  短信推送记录-推送记录列表
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeAliyunSmsListReq          true   "(分页信息必填)"
// @Success      200   {object}  md.NoticePushListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/push/list [post]
func AliyunSmsPushList(c *gin.Context) {
	notice.AliyunSmsPushList(c)
}

// AliyunSmsPushSave
// @Summary      消息中心-短信推送记录-推送记录添加-发送(不做编辑了)
// @Tags         消息中心
// @Description  短信推送记录-推送记录添加-发送 (不做编辑了)
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Param        req 	body      md.NoticeAliyunSmsSaveReq          true   "(分页信息必填)"
// @Success      200   {string}  			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/notice/aliyunSms/push/save [post]
func AliyunSmsPushSave(c *gin.Context) {
	notice.AliyunSmsPushSave(c)
}
